#!/bin/bash

source $HOME/dotfiles/Profile.env

# Завершить текущие экземпляры polybar
killall -q polybar

# Ожидание полного завершения работы процессов
while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done

if [ $profile == "work" ]
then
	notify-send "Запуск профиля: $profile"
	# Запуск Polybar
	if [[ $(xrandr -q | grep " connected" | wc -l) -ge 2 ]]; then
		polybar bar1 &
		polybar bar2 &
	else
		polybar bar1 &
	fi
elif [ $profile == "laptop" ]
then
	notify-send "Запуск профиля: $profile"
	# Запуск Polybar
	if [[ $(xrandr -q | grep " connected" | wc -l) -ge 2 ]]; then
		polybar laptop &
		polybar laptop_external &
	else
		polybar laptop &
	fi
else
	# Запуск Polybar
	if [[ $(xrandr -q | grep " connected" | wc -l) -ge 2 ]]; then
		polybar bar1 &
		polybar bar2 &
	else
		polybar bar1 &
	fi
fi


notify-send "Polybar загрузился..."
